
/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.bos;

import de.frankmuenster.mahoe.Settings;
import de.frankmuenster.mahoe.utils.I18N;
import de.frankmuenster.mahoe.web.WebSiteException;
import de.frankmuenster.mahoe.web.WebSiteExceptionTypes;
import de.willuhn.jameica.messaging.StatusBarMessage;
import de.willuhn.jameica.system.Application;

/**
 * Utility class for BOS
 *
 * @author Frank Mnster
 *
 */
public final class BosUtils {

    /**
     * Check if the Selenium plugin is installed. If not it throw a WebException
     *
     * @throws WebSiteException
     */
    public static void checkSelenium() throws WebSiteException {
        if (!Settings.isSeleniumInstalled()) {
            final StatusBarMessage message = new StatusBarMessage(I18N.tr("MahoeUpdateHandler.seleniumPluginNeeded"), //$NON-NLS-1$
                    StatusBarMessage.TYPE_ERROR);
            Application.getMessagingFactory().sendMessage(message);
            throw new WebSiteException(I18N.tr("MahoeUpdateHandler.seleniumPluginNeeded"), //$NON-NLS-1$
                    WebSiteExceptionTypes.SELENIUM_NOT_INSTALLED);
        }
    }

    /**
     * Privte constructor to avoid instantiation
     */
    private BosUtils() {
        // intentionally left blank
    }

}
