/*******************************************************************************
 * Copyright 2015 - 2019 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/
package de.frankmuenster.mahoe.banks.bos.assistant;

import java.rmi.RemoteException;

import org.apache.commons.lang.StringUtils;

import de.frankmuenster.mahoe.assistant.AbstractCreateAccountAssistant;
import de.frankmuenster.mahoe.assistant.CreateAccountException;
import de.frankmuenster.mahoe.banks.bos.BankOfScotland;
import de.willuhn.jameica.hbci.rmi.Konto;
import de.willuhn.util.ApplicationException;

/**
 * Specific create account assistant for the Bank of Scotland
 *
 * @author Frank Mnster
 */
public class BosCreateAccountAssistent extends AbstractCreateAccountAssistant<BosCreateInfo, BosCreateAccountDialog> {

    /**
     * Standardkonstruktor
     */
    public BosCreateAccountAssistent() {

        super();
    }

    /**
     * @see de.frankmuenster.mahoe.assistant.AbstractCreateAccountAssistant#getDialog()
     */
    @Override
    public BosCreateAccountDialog getDialog() throws CreateAccountException {

        return new BosCreateAccountDialog();
    }

    /**
     * @see de.frankmuenster.mahoe.assistant.AbstractCreateAccountAssistant#setBankSpecificAccountParameter(de.willuhn.jameica.hbci.rmi.Konto,
     *      de.frankmuenster.mahoe.assistant.CreateInfo)
     */
    @Override
    protected void setBankSpecificAccountParameter(final Konto account, final BosCreateInfo info)
            throws RemoteException {

        account.setBLZ(BankOfScotland.BLZ);
        account.setKontonummer(info.getAccountNumber());
        account.setKundennummer(info.getLogin());
        account.setUnterkonto(StringUtils.EMPTY);

    }

    /**
     * @see de.frankmuenster.mahoe.assistant.AbstractCreateAccountAssistant#setBankSpecificMetaData(de.frankmuenster.mahoe.assistant.CreateInfo,
     *      de.willuhn.jameica.hbci.rmi.Konto)
     */
    @Override
    protected void setBankSpecificMetaData(final BosCreateInfo info, final Konto konto)
            throws RemoteException, ApplicationException {

        // so far none

    }

}
