
package de.frankmuenster.mahoe.banks.bsh.json;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

/**
 * JSON Error Bean f&uum;t BSH Antworten
 *
 * @author Frank Mnster
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "message", "code" })
public class Error {

    /**
     * Nachricht
     */
    @JsonProperty("message")
    private String message;

    /**
     * Fehlercode
     */
    @JsonProperty("code")
    private String code;

    /**
     * Standardkonstruktor
     */
    public Error() {
	// Absichtlich leer
    }

    /**
     * Liefert den Fehlercode
     *
     * @return den Fehlercode
     */
    @JsonProperty("code")
    public String getCode() {

	return this.code;
    }

    /**
     * Liefert den Fehlertext
     *
     * @return den Fehlertext
     */
    @JsonProperty("message")
    public String getMessage() {

	return this.message;
    }
}
