
package de.frankmuenster.mahoe.banks.bsh.json;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Antwort der Setzte-Gelesen-Nachrichten-Abfrage
 *
 * @author Frank Mnster
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class MessageReadResponse extends BshResponse implements IBshResponse {

    /**
     * Details
     */
    @JsonProperty("data")
    private ReadObject readObject;

    /**
     * Standardkonstruktor
     */
    public MessageReadResponse() {
	super();
    }

    /**
     * Liefert die Anzahl an neuen Nachrichten.
     *
     * @return die Anzahl an neuen Nachrichten.
     */
    public ReadObject getRead() {

	return this.readObject;
    }

    /**
     * JSON Count Object (Nachrichten)
     *
     * @author Frank Mnster
     */
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public class ReadObject {

	/**
	 * Anzahl neue Nachrichten
	 */
	@JsonProperty("read")
	private Boolean read;

	/**
	 * Standardkonstruktor
	 */
	public ReadObject() {
	    // Absichtlich leer
	}

	/**
	 * Gelesen.
	 *
	 * @return <i>true</i>, falls gelesen, <i>false</i> sonst
	 */
	@JsonProperty("read")
	public Boolean isRead() {

	    return this.read;
	}
    }
}
