/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.banks.santander;

import de.frankmuenster.mahoe.utils.BankToAdd;

/**
 * Santander Bank
 *
 * @author Frank Mnster
 */
@BankToAdd(blz = SantanderBank.BLZ, name = SantanderBank.NAME, walletPrefix = SantanderBank.WALLET_PREFIX)
public final class SantanderBank {

    /**
     * Santander BIC
     */
    public static final String BIC = "CCBADE31"; //$NON-NLS-1$

    /**
     * Santander Consumer BLZ
     */
    public static final String BLZ = "31010833"; //$NON-NLS-1$

    /**
     * Santander Name
     */
    public static final String NAME = "Santander Bank"; //$NON-NLS-1$

    /**
     * Wallet prefix
     */
    public static final String WALLET_PREFIX = "sandanter"; //$NON-NLS-1$

    /**
     * Version der META Daten der Girokonten
     */
    public static final String KTO_VER_GIRO = "1"; //$NON-NLS-1$

    /**
     * Version der META Daten der Kreditkarten-Konten <br/>
     * Seit Mahoe-Version 1.3.4
     */
    public static final String KTO_VER_KREDIT = "4"; //$NON-NLS-1$

    /**
     * Standardkonstruktor
     */
    private SantanderBank() {
        super();
    }
}
