/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.gui.controller;

import de.willuhn.jameica.hbci.gui.input.KontoInput;

/**
 * Interface fr den SettingsController einer Bank
 *
 * @author Frank Mnster
 */
public interface SettingsController {

    /**
     * Liefert das ausgewhlte Konto
     *
     * @return das KontoInput
     */
    KontoInput getKonto();

    /**
     * Speichert die aktuellen Einstellungen im Settings Objekt.
     */
    void speichern();

    /**
     * Checks if the current account supports statement downloads.
     *
     * @return <i>true</i> in case the account supports statement downloads,
     *         <i>false</i> else
     */
    boolean supportsStatements();
}
