/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.mahoe.web;

/**
 * Die Fehlertypen der WebsieException
 *
 * @author Frank Mnster
 */
public enum WebSiteExceptionTypes {

    /**
     * Webseite ist nicht erreichbar
     */
    WEBSITE_NOT_REACHABLE,

    /**
     * Fehler whrend des Logins, anders als Benutzername/Passwort falsch.
     */
    LOGIN_ERROR,

    /**
     * Der Login ist fehlgeschlagen
     */
    LOGIN_FAILED,

    /**
     *
     */
    HTTP_STATUS_CODE,
    /**
     *
     */
    KONTO_NOT_FOUND,
    /**
     *
     */
    READ_ACCOUNT_DETAILS_FAILED,
    /**
     *
     */
    PAGE_NOT_FOUND,
    /**
     * Der Dienst ist derzeit nicht verfgbar.
     */
    SERVICE_UNAVAILABLE,
    /**
     * Das Abmelden ist fehlgeschlagen.
     */
    LOGOFF_FAILED,
    /**
     * Ein Fehler ist beim der berprfung der berweisung aufgetreten
     */
    TRANSFER_FAILED,
    /**
     * Ein Fehler ist beim endgltigen Absenden der berweisung aufgetreten
     */
    FINAL_TRANSFER_FAILED,
    /**
     * The web side implementation does not support this operation
     */
    OPERATION_NOT_SUPPORTED,
    /**
     * Some of the provided account information are wrong/missing
     */
    ACCOUNT_INFO_WRONG,
    /**
     * The Selenium plugin is not installed, but needed for this bank connection
     */
    SELENIUM_NOT_INSTALLED,
}
